## ros-foxy-pal-statistics 2.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)
project(pal_statistics)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

find_package(ament_cmake_auto REQUIRED)

# PAL Robotics stricter build flags, other developers should not worry about this
find_package(ament_cmake_pal QUIET)

ament_auto_find_build_dependencies()

ament_auto_add_library(${PROJECT_NAME} SHARED
        src/pal_statistics_utils.cpp src/pal_statistics.cpp
        src/pal_statistics_macros.cpp src/registration_list.cpp)

# ##############################################################################
# Testing ##
# ##############################################################################

if(BUILD_TESTING)
  find_package(ament_cmake_gtest)
  find_package(ament_cmake_gmock)
  find_package(ament_lint_auto REQUIRED)

  ament_lint_auto_find_test_dependencies()
  ament_add_gtest(buffer-test test/gtest_buffer.cpp)
  target_link_libraries(buffer-test ${PROJECT_NAME})

  #  ament_add_gmock(pal_statistics-test test/gtest_pal_statistics.cpp)
  #  target_include_directories(
  #    pal_statistics-test PRIVATE src) # dirty hack for a forward declaration
  #  target_link_libraries(pal_statistics-test ${PROJECT_NAME})

  # TODO v-lopez python migration add_rostest(test/pal_statistics_py.test)
endif()

ament_auto_package()

=== debian/changelog ===
ros-foxy-pal-statistics (2.0.2-1focal) focal; urgency=high



 -- victor <victor.lopez@pal-robotics.com>  Sun, 04 Sep 2022 22:00:00 -0000

ros-foxy-pal-statistics (2.0.1-1focal) focal; urgency=high

  * Fix cmake lint
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Mon, 08 Nov 2021 23:00:00 -0000

ros-foxy-pal-statistics (2.0.0-1focal) focal; urgency=high

  * Comment out tests that require galactic rclpcpp API
  * Use ament_cmake_auto
  * Update package.xml
  * Add comment about ament_cmake_pal
  * Change license to BSD-3 Clause
  * Flake8 and pep257 compliance
  * Add ament dependencies
  * More formatting and header ordering
  * Apply ament_link_cmake
  * Cpplint compliance
  * Rename headers to .h and uncrustify them
  * Fix double comparisons in test
  * Reorganize code to remove boost from include files
  * Tests passing in ROS2
  * Update license on headers
    refs #5 <https://github.com/pal-robotics/pal_statistics/issues/5>
  * Change License to MIT
    fixes #5 <https://github.com/pal-robotics/pal_statistics/issues/5>
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Thu, 14 Oct 2021 22:00:00 -0000

ros-foxy-pal-statistics (1.4.0-1focal) focal; urgency=high

  * Merge branch 'use-atomic-bool' into 'erbium-devel'
    Use atomic bool, because we need atomic operation
    See merge request qa/pal_statistics!18
  * Use atomic bool, because we need atomic operation
  * Contributors: Victor Lopez, victor

 -- victor <victor.lopez@pal-robotics.com>  Thu, 12 Mar 2020 23:00:00 -0000

ros-foxy-pal-statistics (1.3.1-1focal) focal; urgency=high

  * Fix shadow variable warning
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Tue, 27 Aug 2019 22:00:00 -0000

ros-foxy-pal-statistics (1.3.0-1focal) focal; urgency=high

  * Merge branch 'async-optimizations' into 'erbium-devel'
    Optimize async update when everything is enabled
    See merge request qa/pal_statistics!17
  * Smarter clear and resize of vectors when all enabled
  * Optimize async update when everything is enabled
  * Add LGPL3 version text
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Sun, 11 Aug 2019 22:00:00 -0000

ros-foxy-pal-statistics (1.2.1-1focal) focal; urgency=high

  * Fix stamp of full messages
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Wed, 17 Apr 2019 22:00:00 -0000

ros-foxy-pal-statistics (1.2.0-1focal) focal; urgency=high

  * Merge branch 'optimized-msg' into 'erbium-devel'
    Optimized msg
    See merge request qa/pal_statistics!15
  * Update python api to new msgs
  * Rename full statistics topic
  * Add new messages
  * Change internal structure from vector of pairs to pair of vectors
  * Add missing add_dependencies
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Mon, 15 Apr 2019 22:00:00 -0000

ros-foxy-pal-statistics (1.1.1-1focal) focal; urgency=high

  * Merge branch 'correct-stamp' into 'erbium-devel'
    Correct stamp
    See merge request qa/pal_statistics!14
  * Add macros with variable argument count
  * Set time stamp from main thread
  * Fix maintainer
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Tue, 18 Dec 2018 23:00:00 -0000

ros-foxy-pal-statistics (1.1.0-1focal) focal; urgency=high

  * Merge branch 'fix-test' into 'erbium-devel'
    Fix spurious test failure when buffer was filled
    See merge request qa/pal_statistics!12
  * Fix spurious test failure when buffer was filled
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Sun, 28 Oct 2018 23:00:00 -0000

ros-foxy-pal-statistics (1.0.8-1focal) focal; urgency=high

  * Fix some issues with copyable object that shouldn't be
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Wed, 24 Oct 2018 22:00:00 -0000

ros-foxy-pal-statistics (1.0.7-1focal) focal; urgency=high

  * Change Sleep to WallSleep
    When sim time stops being published. The thread can get stuck and never
    end.
  * Fix unitialized variable
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Wed, 24 Oct 2018 22:00:00 -0000

ros-foxy-pal-statistics (1.0.6-1focal) focal; urgency=high

  * Merge branch 'improve-constness' into 'erbium-devel'
    Change namespace to pal_statistics and and const to double *
    Closes #5
    See merge request qa/pal_statistics!11
  * Add tests for registration modification between pubAsync and publishing
  * Change namespace to pal_statistics and and const to double *
    Fixes https://gitlab/qa/pal_statistics/issues/5
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Tue, 23 Oct 2018 22:00:00 -0000

ros-foxy-pal-statistics (1.0.5-1focal) focal; urgency=high

  * Fix bug when changing registrations and publsihing before a pubAsync
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Tue, 23 Oct 2018 22:00:00 -0000

ros-foxy-pal-statistics (1.0.4-1focal) focal; urgency=high

  * Merge branch 'auto-start-thread' into 'erbium-devel'
    Auto start thread and use steady clock for time diff
    See merge request qa/pal_statistics!10
  * Auto start thread and use steady clock for time diff
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Mon, 22 Oct 2018 22:00:00 -0000

ros-foxy-pal-statistics (1.0.3-1focal) focal; urgency=high

  * Merge branch 'add-extendable-registration' into 'erbium-devel'
    Add the option to customize registration
    See merge request qa/pal_statistics!9
  * Add the option to customize registration
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Mon, 22 Oct 2018 22:00:00 -0000

ros-foxy-pal-statistics (1.0.2-1focal) focal; urgency=high

  * Increase sleep time to reduce cpu load
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Sun, 21 Oct 2018 22:00:00 -0000

ros-foxy-pal-statistics (1.0.1-1focal) focal; urgency=high



=== debian/control ===
Source: ros-foxy-pal-statistics
Section: misc
Priority: optional
Maintainer: victor <victor.lopez@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-foxy-ament-cmake-auto, ros-foxy-ament-cmake-gmock <!nocheck>, ros-foxy-ament-cmake-gtest <!nocheck>, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-pal-statistics-msgs, ros-foxy-rclcpp, ros-foxy-rclpy, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-pal-statistics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-foxy-pal-statistics-msgs, ros-foxy-rclcpp, ros-foxy-rclpy, ros-foxy-ros-workspace
Description: The pal_statistics package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-pal-statistics//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
